Saltar al contenido

List marshalling log entry rows

Módulo Logistics

GET/marshalling-logmarshallingLogEntries.list

A marshalling yard log entry: staging and release. Returns a cursor page of marshalling log entry rows the caller may see. The default order is `logged_at` ascending. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad logistics.shipment.read.
  • Alcances de OAuth: logistics.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

marshallingLogEntries.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de MarshallingLogEntry

marshallingLogEntries.list: MarshallingLogEntry
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the marshalling log entry.
org_idstring (uuid)SíIdentifier of the owning organization, derived from the parent row and never accepted from the caller.
created_atstring (date-time)SíWhen the row was created.
created_bystring (uuid) | nullSíIdentifier of the person who created the row; null when a seed, platform or system process created it.
updated_atstring (date-time)SíWhen the row was last updated.
updated_bystring (uuid) | nullSíIdentifier of the person who last updated the row; null when a seed, platform or system process updated it.
entrystringSíWhat happened in the yard.Restricciones: length 1 to 1000
logged_atstring (date-time)SíWhen the event was logged.
project_idstring (uuid)SíIdentifier of the project whose yard the entry records.
shipment_idstring (uuid) | nullSíIdentifier of the shipment concerned.
zone_idstring (uuid) | nullSíIdentifier of the yard zone concerned.
uridUrid | nullSí
{
  "data": [
    {
      "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "org_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "created_at": "2026-10-08T14:30:00Z",
      "created_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "updated_at": "2026-10-08T14:30:00Z",
      "updated_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "entry": "Staged in lane 2.",
      "logged_at": "2026-10-08T14:30:00Z",
      "project_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "shipment_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "zone_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "urid": "4000.01.01"
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/marshalling-log" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.marshallingLogEntries.listAll()) {
  console.log(row);
}
for row in xos.marshalling_log_entries.list_all():
    print(row)
xos marshalling-log-entries list --all